<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: pdts_ep_startup Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">pdts_ep_startup Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pdts_ep_startup:</div>
<div class="dyncontent">
<div class="center"><img src="classpdts__ep__startup__inherit__graph.png" border="0" usemap="#pdts__ep__startup_inherit__map" alt="Inheritance graph"/></div>
<map name="pdts__ep__startup_inherit__map" id="pdts__ep__startup_inherit__map">
<area shape="rect" id="node3" href="classpdts__endpoint.html" title="pdts_endpoint" alt="" coords="29,155,141,181"/><area shape="rect" id="node2" href="classpdts__synchro.html" title="work.pdts_synchro(8)" alt="" coords="5,5,164,32"/><area shape="rect" id="node4" href="classDCC.html" title="DCC" alt="" coords="21,229,73,256"/><area shape="rect" id="node5" href="classDTS.html" title="DTS" alt="" coords="98,229,149,256"/><area shape="rect" id="node6" href="classWIB.html" title="WIB" alt="" coords="99,304,147,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classpdts__ep__startup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classpdts__ep__startup_1_1rtl.html">rtl</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classpdts__ep__startup.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adefe2d519fb3783d0b9629f94f543410"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adefe2d519fb3783d0b9629f94f543410"></a>
<a class="el" href="classpdts__ep__startup.html#adefe2d519fb3783d0b9629f94f543410">pdts_defs</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classpdts__defs.html"> &lt;pdts_defs&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:ab5e3f13c031a8a6c62518344b152f69a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5e3f13c031a8a6c62518344b152f69a"></a>
<a class="el" href="classpdts__ep__startup.html#ab5e3f13c031a8a6c62518344b152f69a">SCLK_FREQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">real</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a2f941a099501126aa5be86828569e051"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f941a099501126aa5be86828569e051"></a>
<a class="el" href="classpdts__ep__startup.html#a2f941a099501126aa5be86828569e051">SIM</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">false</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a70f351593d0b7d20396fb5e581f79c35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70f351593d0b7d20396fb5e581f79c35"></a>
<a class="el" href="classpdts__ep__startup.html#a70f351593d0b7d20396fb5e581f79c35">sclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d6e54678af2d13e20697cd99e285ea7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d6e54678af2d13e20697cd99e285ea7"></a>
<a class="el" href="classpdts__ep__startup.html#a7d6e54678af2d13e20697cd99e285ea7">srst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4c3f720ef01272121b33a85357c611d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c3f720ef01272121b33a85357c611d1"></a>
<a class="el" href="classpdts__ep__startup.html#a4c3f720ef01272121b33a85357c611d1">stat</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af957f9b4cf9a772f270d9c1f642db2fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af957f9b4cf9a772f270d9c1f642db2fb"></a>
<a class="el" href="classpdts__ep__startup.html#af957f9b4cf9a772f270d9c1f642db2fb">sfp_los</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a415bd559e2d8d7d6e048858feedec7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a415bd559e2d8d7d6e048858feedec7"></a>
<a class="el" href="classpdts__ep__startup.html#a5a415bd559e2d8d7d6e048858feedec7">cdr_los</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4c59a341d7b9f2c0ba7f0feedf71e44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4c59a341d7b9f2c0ba7f0feedf71e44"></a>
<a class="el" href="classpdts__ep__startup.html#ad4c59a341d7b9f2c0ba7f0feedf71e44">cdr_lol</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a42652467731af4810a521e2531b43513"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42652467731af4810a521e2531b43513"></a>
<a class="el" href="classpdts__ep__startup.html#a42652467731af4810a521e2531b43513">rec_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad6f66c6e875f8c7882b542d833667466"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6f66c6e875f8c7882b542d833667466"></a>
<a class="el" href="classpdts__ep__startup.html#ad6f66c6e875f8c7882b542d833667466">rec_rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9025c6549037cf0151fa036175add8ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9025c6549037cf0151fa036175add8ce"></a>
<a class="el" href="classpdts__ep__startup.html#a9025c6549037cf0151fa036175add8ce">rxphy_aligned</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classpdts__ep__startup.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8bc9b5a13bc2fefe30aff047d7f610d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8bc9b5a13bc2fefe30aff047d7f610d3"></a>
<a class="el" href="classpdts__ep__startup.html#a8bc9b5a13bc2fefe30aff047d7f610d3">rxphy_rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6624aa672340a5a4716d642109a22a89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6624aa672340a5a4716d642109a22a89"></a>
<a class="el" href="classpdts__ep__startup.html#a6624aa672340a5a4716d642109a22a89">rxphy_locked</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af4c0d7dc16ece4786376bcec77622d68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4c0d7dc16ece4786376bcec77622d68"></a>
<a class="el" href="classpdts__ep__startup.html#af4c0d7dc16ece4786376bcec77622d68">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9235603d8de361def0828d98e9ae3ae2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9235603d8de361def0828d98e9ae3ae2"></a>
<a class="el" href="classpdts__ep__startup.html#a9235603d8de361def0828d98e9ae3ae2">rx_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab57e8afe67727bcc38463cb513dbf9ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab57e8afe67727bcc38463cb513dbf9ce"></a>
<a class="el" href="classpdts__ep__startup.html#ab57e8afe67727bcc38463cb513dbf9ce">rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html#l00014">14</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__ep__startup_8vhd_source.html">pdts_ep_startup.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
